> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Bulk Create app configuration items. Limit of 1000 App Config Items per request.

POST https://{tenant_name}.benchling.com/api/v2/app-configuration-items:bulk-create
Content-Type: application/json

Bulk Create app configuration items

Reference: https://docs.benchling.com/docs/api/v2/benchling-api/apps/bulk-create-app-configuration-items

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Body (application/json)

This endpoint expects an AppConfigItemsBulkCreateRequest.

- `appConfigurationItems` (list of AppConfigItemCreate, required)

## Response

### 202

Accepted

- `taskId` (string, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (BadRequestErrorError, optional)

## Types

### AppConfigItemCreate

- `type`: `aa_sequence` (aa_sequence)
  - `appId` (string, required) — App id to which this config item belongs.
  - `path` (list of string, required) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `value` (string, required, nullable)
- `type`: `boolean` (boolean)
  - `appId` (string, required) — App id to which this config item belongs.
  - `path` (list of string, required) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `value` (boolean, required, nullable)
- `type`: `box` (box)
  - `appId` (string, required) — App id to which this config item belongs.
  - `path` (list of string, required) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `value` (string, required, nullable)
- `type`: `box_schema` (box_schema)
  - `appId` (string, required) — App id to which this config item belongs.
  - `path` (list of string, required) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `value` (string, required, nullable)
- `type`: `container` (container)
  - `appId` (string, required) — App id to which this config item belongs.
  - `path` (list of string, required) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `value` (string, required, nullable)
- `type`: `container_schema` (container_schema)
  - `appId` (string, required) — App id to which this config item belongs.
  - `path` (list of string, required) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `value` (string, required, nullable)
- `type`: `custom_entity` (custom_entity)
  - `appId` (string, required) — App id to which this config item belongs.
  - `path` (list of string, required) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `value` (string, required, nullable)
- `type`: `date` (date)
  - `appId` (string, required) — App id to which this config item belongs.
  - `path` (list of string, required) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `value` (date, required, nullable)
- `type`: `datetime` (datetime)
  - `appId` (string, required) — App id to which this config item belongs.
  - `path` (list of string, required) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `value` (string, required, nullable)
- `type`: `dna_oligo` (dna_oligo)
  - `appId` (string, required) — App id to which this config item belongs.
  - `path` (list of string, required) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `value` (string, required, nullable)
- `type`: `dna_sequence` (dna_sequence)
  - `appId` (string, required) — App id to which this config item belongs.
  - `path` (list of string, required) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `value` (string, required, nullable)
- `type`: `dropdown` (dropdown)
  - `appId` (string, required) — App id to which this config item belongs.
  - `path` (list of string, required) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `value` (string, required, nullable)
- `type`: `dropdown_option` (dropdown_option)
  - `appId` (string, required) — App id to which this config item belongs.
  - `path` (list of string, required) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `value` (string, required, nullable)
- `type`: `entity_schema` (entity_schema)
  - `appId` (string, required) — App id to which this config item belongs.
  - `path` (list of string, required) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `value` (string, required, nullable)
- `type`: `entry` (entry)
  - `appId` (string, required) — App id to which this config item belongs.
  - `path` (list of string, required) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `value` (string, required, nullable)
- `type`: `entry_schema` (entry_schema)
  - `appId` (string, required) — App id to which this config item belongs.
  - `path` (list of string, required) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `value` (string, required, nullable)
- `type`: `field` (field)
  - `appId` (string, required) — App id to which this config item belongs.
  - `path` (list of string, required) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `value` (string, required, nullable)
- `type`: `float` (float)
  - `appId` (string, required) — App id to which this config item belongs.
  - `path` (list of string, required) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `value` (float, required, nullable)
- `type`: `folder` (folder)
  - `appId` (string, required) — App id to which this config item belongs.
  - `path` (list of string, required) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `value` (string, required, nullable)
- `type`: `integer` (integer)
  - `appId` (string, required) — App id to which this config item belongs.
  - `path` (list of string, required) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `value` (integer, required, nullable)
- `type`: `json` (json)
  - `appId` (string, required) — App id to which this config item belongs.
  - `path` (list of string, required) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `value` (string, required, nullable) — The value of a json create object should be json parseable.
- `type`: `legacy_request_schema` (legacy_request_schema)
  - `appId` (string, required) — App id to which this config item belongs.
  - `path` (list of string, required) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `value` (string, required, nullable)
- `type`: `location` (location)
  - `appId` (string, required) — App id to which this config item belongs.
  - `path` (list of string, required) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `value` (string, required, nullable)
- `type`: `location_schema` (location_schema)
  - `appId` (string, required) — App id to which this config item belongs.
  - `path` (list of string, required) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `value` (string, required, nullable)
- `type`: `mixture` (mixture)
  - `appId` (string, required) — App id to which this config item belongs.
  - `path` (list of string, required) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `value` (string, required, nullable)
- `type`: `molecule` (molecule)
  - `appId` (string, required) — App id to which this config item belongs.
  - `path` (list of string, required) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `value` (string, required, nullable)
- `type`: `plate` (plate)
  - `appId` (string, required) — App id to which this config item belongs.
  - `path` (list of string, required) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `value` (string, required, nullable)
- `type`: `plate_schema` (plate_schema)
  - `appId` (string, required) — App id to which this config item belongs.
  - `path` (list of string, required) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `value` (string, required, nullable)
- `type`: `project` (project)
  - `appId` (string, required) — App id to which this config item belongs.
  - `path` (list of string, required) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `value` (string, required, nullable)
- `type`: `registry` (registry)
  - `appId` (string, required) — App id to which this config item belongs.
  - `path` (list of string, required) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `value` (string, required, nullable)
- `type`: `result_schema` (result_schema)
  - `appId` (string, required) — App id to which this config item belongs.
  - `path` (list of string, required) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `value` (string, required, nullable)
- `type`: `rna_oligo` (rna_oligo)
  - `appId` (string, required) — App id to which this config item belongs.
  - `path` (list of string, required) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `value` (string, required, nullable)
- `type`: `rna_sequence` (rna_sequence)
  - `appId` (string, required) — App id to which this config item belongs.
  - `path` (list of string, required) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `value` (string, required, nullable)
- `type`: `run_schema` (run_schema)
  - `appId` (string, required) — App id to which this config item belongs.
  - `path` (list of string, required) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `value` (string, required, nullable)
- `type`: `secure_text` (secure_text)
  - `appId` (string, required) — App id to which this config item belongs.
  - `path` (list of string, required) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `value` (string, required, nullable)
- `type`: `text` (text)
  - `appId` (string, required) — App id to which this config item belongs.
  - `path` (list of string, required) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `value` (string, required, nullable)
- `type`: `workflow_task_schema` (workflow_task_schema)
  - `appId` (string, required) — App id to which this config item belongs.
  - `path` (list of string, required) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `value` (string, required, nullable)
- `type`: `workflow_task_status` (workflow_task_status)
  - `appId` (string, required) — App id to which this config item belongs.
  - `path` (list of string, required) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `value` (string, required, nullable)
- `type`: `worklist` (worklist)
  - `appId` (string, required) — App id to which this config item belongs.
  - `path` (list of string, required) — Array-based representation of config item's location in the tree in order from top to bottom.
  - `value` (string, required, nullable)

### BadRequestErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)

## Examples

**Request**

```json
{
  "appConfigurationItems": [
    {
      "type": "container_schema",
      "appId": "app_J39na03L1nsLS34o",
      "path": [
        "My Schema 1",
        "My Field 1"
      ],
      "value": "string"
    }
  ]
}
```

**Response**

```json
{
  "taskId": "string"
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/app-configuration-items:bulk-create"

payload = { "appConfigurationItems": [
        {
            "type": "container_schema",
            "appId": "app_J39na03L1nsLS34o",
            "path": ["My Schema 1", "My Field 1"],
            "value": "string"
        }
    ] }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/app-configuration-items:bulk-create';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"appConfigurationItems":[{"type":"container_schema","appId":"app_J39na03L1nsLS34o","path":["My Schema 1","My Field 1"],"value":"string"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```